'use client'

import * as React from 'react'

import { cn } from '@/lib/utils'

function IconNextChat({
  className,
  inverted,
  ...props
}: React.ComponentProps<'svg'> & { inverted?: boolean }) {
  const id = React.useId()

  return (
    <svg
      viewBox="0 0 17 17"
      fill="none"
      xmlns="http://www.w3.org/2000/svg"
      className={cn('h-4 w-4', className)}
      {...props}
    >
      <defs>
        <linearGradient
          id={`gradient-${id}-1`}
          x1="10.6889"
          y1="10.3556"
          x2="13.8445"
          y2="14.2667"
          gradientUnits="userSpaceOnUse"
        >
          <stop stopColor={inverted ? 'white' : 'black'} />
          <stop
            offset={1}
            stopColor={inverted ? 'white' : 'black'}
            stopOpacity={0}
          />
        </linearGradient>
        <linearGradient
          id={`gradient-${id}-2`}
          x1="11.7555"
          y1="4.8"
          x2="11.7376"
          y2="9.50002"
          gradientUnits="userSpaceOnUse"
        >
          <stop stopColor={inverted ? 'white' : 'black'} />
          <stop
            offset={1}
            stopColor={inverted ? 'white' : 'black'}
            stopOpacity={0}
          />
        </linearGradient>
      </defs>
      <path
        d="M1 16L2.58314 11.2506C1.83084 9.74642 1.63835 8.02363 2.04013 6.39052C2.4419 4.75741 3.41171 3.32057 4.776 2.33712C6.1403 1.35367 7.81003 0.887808 9.4864 1.02289C11.1628 1.15798 12.7364 1.8852 13.9256 3.07442C15.1148 4.26363 15.842 5.83723 15.9771 7.5136C16.1122 9.18997 15.6463 10.8597 14.6629 12.224C13.6794 13.5883 12.2426 14.5581 10.6095 14.9599C8.97637 15.3616 7.25358 15.1692 5.74942 14.4169L1 16Z"
        fill={inverted ? 'black' : 'white'}
        stroke={inverted ? 'black' : 'white'}
        strokeWidth={2}
        strokeLinecap="round"
        strokeLinejoin="round"
      />
      <mask
        id="mask0_91_2047"
        style={{ maskType: 'alpha' }}
        maskUnits="userSpaceOnUse"
        x={1}
        y={0}
        width={16}
        height={16}
      >
        <circle cx={9} cy={8} r={8} fill={inverted ? 'black' : 'white'} />
      </mask>
      <g mask="url(#mask0_91_2047)">
        <circle cx={9} cy={8} r={8} fill={inverted ? 'black' : 'white'} />
        <path
          d="M14.2896 14.0018L7.146 4.8H5.80005V11.1973H6.87681V6.16743L13.4444 14.6529C13.7407 14.4545 14.0231 14.2369 14.2896 14.0018Z"
          fill={`url(#gradient-${id}-1)`}
        />
        <rect
          x="11.2222"
          y="4.8"
          width="1.06667"
          height="6.4"
          fill={`url(#gradient-${id}-2)`}
        />
      </g>
    </svg>
  )
}

function IconOpenAI({ className, ...props }: React.ComponentProps<'svg'>) {
  return (
    <svg
      fill="currentColor"
      viewBox="0 0 24 24"
      role="img"
      xmlns="http://www.w3.org/2000/svg"
      className={cn('h-4 w-4', className)}
      {...props}
    >
      <title>OpenAI icon</title>
      <path d="M22.2819 9.8211a5.9847 5.9847 0 0 0-.5157-4.9108 6.0462 6.0462 0 0 0-6.5098-2.9A6.0651 6.0651 0 0 0 4.9807 4.1818a5.9847 5.9847 0 0 0-3.9977 2.9 6.0462 6.0462 0 0 0 .7427 7.0966 5.98 5.98 0 0 0 .511 4.9107 6.051 6.051 0 0 0 6.5146 2.9001A5.9847 5.9847 0 0 0 13.2599 24a6.0557 6.0557 0 0 0 5.7718-4.2058 5.9894 5.9894 0 0 0 3.9977-2.9001 6.0557 6.0557 0 0 0-.7475-7.0729zm-9.022 12.6081a4.4755 4.4755 0 0 1-2.8764-1.0408l.1419-.0804 4.7783-2.7582a.7948.7948 0 0 0 .3927-.6813v-6.7369l2.02 1.1686a.071.071 0 0 1 .038.052v5.5826a4.504 4.504 0 0 1-4.4945 4.4944zm-9.6607-4.1254a4.4708 4.4708 0 0 1-.5346-3.0137l.142.0852 4.783 2.7582a.7712.7712 0 0 0 .7806 0l5.8428-3.3685v2.3324a.0804.0804 0 0 1-.0332.0615L9.74 19.9502a4.4992 4.4992 0 0 1-6.1408-1.6464zM2.3408 7.8956a4.485 4.485 0 0 1 2.3655-1.9728V11.6a.7664.7664 0 0 0 .3879.6765l5.8144 3.3543-2.0201 1.1685a.0757.0757 0 0 1-.071 0l-4.8303-2.7865A4.504 4.504 0 0 1 2.3408 7.872zm16.5963 3.8558L13.1038 8.364 15.1192 7.2a.0757.0757 0 0 1 .071 0l4.8303 2.7913a4.4944 4.4944 0 0 1-.6765 8.1042v-5.6772a.79.79 0 0 0-.407-.667zm2.0107-3.0231l-.142-.0852-4.7735-2.7818a.7759.7759 0 0 0-.7854 0L9.409 9.2297V6.8974a.0662.0662 0 0 1 .0284-.0615l4.8303-2.7866a4.4992 4.4992 0 0 1 6.6802 4.66zM8.3065 12.863l-2.02-1.1638a.0804.0804 0 0 1-.038-.0567V6.0742a4.4992 4.4992 0 0 1 7.3757-3.4537l-.142.0805L8.704 5.459a.7948.7948 0 0 0-.3927.6813zm1.0976-2.3654l2.602-1.4998 2.6069 1.4998v2.9994l-2.5974 1.4997-2.6067-1.4997Z" />
    </svg>
  )
}

function IconVercel({ className, ...props }: React.ComponentProps<'svg'>) {
  return (
    <svg
      aria-label="Vercel logomark"
      role="img"
      viewBox="0 0 74 64"
      className={cn('h-4 w-4', className)}
      {...props}
    >
      <path
        d="M37.5896 0.25L74.5396 64.25H0.639648L37.5896 0.25Z"
        fill="currentColor"
      ></path>
    </svg>
  )
}

function IconGitHub({ className, ...props }: React.ComponentProps<'svg'>) {
  return (
    <svg
      role="img"
      viewBox="0 0 24 24"
      xmlns="http://www.w3.org/2000/svg"
      fill="currentColor"
      className={cn('h-4 w-4', className)}
      {...props}
    >
      <title>GitHub</title>
      <path d="M12 .297c-6.63 0-12 5.373-12 12 0 5.303 3.438 9.8 8.205 11.385.6.113.82-.258.82-.577 0-.285-.01-1.04-.015-2.04-3.338.724-4.042-1.61-4.042-1.61C4.422 18.07 3.633 17.7 3.633 17.7c-1.087-.744.084-.729.084-.729 1.205.084 1.838 1.236 1.838 1.236 1.07 1.835 2.809 1.305 3.495.998.108-.776.417-1.305.76-1.605-2.665-.3-5.466-1.332-5.466-5.93 0-1.31.465-2.38 1.235-3.22-.135-.303-.54-1.523.105-3.176 0 0 1.005-.322 3.3 1.23.96-.267 1.98-.399 3-.405 1.02.006 2.04.138 3 .405 2.28-1.552 3.285-1.23 3.285-1.23.645 1.653.24 2.873.12 3.176.765.84 1.23 1.91 1.23 3.22 0 4.61-2.805 5.625-5.475 5.92.42.36.81 1.096.81 2.22 0 1.606-.015 2.896-.015 3.286 0 .315.21.69.825.57C20.565 22.092 24 17.592 24 12.297c0-6.627-5.373-12-12-12" />
    </svg>
  )
}

function IconSeparator({ className, ...props }: React.ComponentProps<'svg'>) {
  return (
    <svg
      fill="none"
      shapeRendering="geometricPrecision"
      stroke="currentColor"
      strokeLinecap="round"
      strokeLinejoin="round"
      strokeWidth="1"
      viewBox="0 0 24 24"
      aria-hidden="true"
      className={cn('h-4 w-4', className)}
      {...props}
    >
      <path d="M16.88 3.549L7.12 20.451"></path>
    </svg>
  )
}

function IconArrowDown({ className, ...props }: React.ComponentProps<'svg'>) {
  return (
    <svg
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 256 256"
      fill="currentColor"
      className={cn('h-4 w-4', className)}
      {...props}
    >
      <path d="m205.66 149.66-72 72a8 8 0 0 1-11.32 0l-72-72a8 8 0 0 1 11.32-11.32L120 196.69V40a8 8 0 0 1 16 0v156.69l58.34-58.35a8 8 0 0 1 11.32 11.32Z" />
    </svg>
  )
}

function IconArrowRight({ className, ...props }: React.ComponentProps<'svg'>) {
  return (
    <svg
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 256 256"
      fill="currentColor"
      className={cn('h-4 w-4', className)}
      {...props}
    >
      <path d="m221.66 133.66-72 72a8 8 0 0 1-11.32-11.32L196.69 136H40a8 8 0 0 1 0-16h156.69l-58.35-58.34a8 8 0 0 1 11.32-11.32l72 72a8 8 0 0 1 0 11.32Z" />
    </svg>
  )
}

function IconUser({ className, ...props }: React.ComponentProps<'svg'>) {
  return (
    <svg
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 256 256"
      fill="currentColor"
      className={cn('h-4 w-4', className)}
      {...props}
    >
      <path d="M230.92 212c-15.23-26.33-38.7-45.21-66.09-54.16a72 72 0 1 0-73.66 0c-27.39 8.94-50.86 27.82-66.09 54.16a8 8 0 1 0 13.85 8c18.84-32.56 52.14-52 89.07-52s70.23 19.44 89.07 52a8 8 0 1 0 13.85-8ZM72 96a56 56 0 1 1 56 56 56.06 56.06 0 0 1-56-56Z" />
    </svg>
  )
}

function IconPlus({ className, ...props }: React.ComponentProps<'svg'>) {
  return (
    <svg
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 256 256"
      fill="currentColor"
      className={cn('h-4 w-4', className)}
      {...props}
    >
      <path d="M224 128a8 8 0 0 1-8 8h-80v80a8 8 0 0 1-16 0v-80H40a8 8 0 0 1 0-16h80V40a8 8 0 0 1 16 0v80h80a8 8 0 0 1 8 8Z" />
    </svg>
  )
}

function IconMicrophone({ className, ...props }: React.ComponentProps<'svg'>) {
  return (
    <svg
        xmlns="http://www.w3.org/2000/svg"
        fill="currentColor"
        className={cn('h-4 w-4', className)}
        {...props}
        viewBox="0 0 256 256"
    >
      <path d="M128,176a48.05,48.05,0,0,0,48-48V64a48,48,0,0,0-96,0v64A48.05,48.05,0,0,0,128,176ZM96,64a32,32,0,0,1,64,0v64a32,32,0,0,1-64,0Zm40,143.6V232a8,8,0,0,1-16,0V207.6A80.11,80.11,0,0,1,48,128a8,8,0,0,1,16,0,64,64,0,0,0,128,0,8,8,0,0,1,16,0A80.11,80.11,0,0,1,136,207.6Z"></path>
    </svg>
  )
}

function IconArrowElbow({ className, ...props }: React.ComponentProps<'svg'>) {
  return (
    <svg
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 256 256"
      fill="currentColor"
      className={cn('h-4 w-4', className)}
      {...props}
    >
      <path d="M200 32v144a8 8 0 0 1-8 8H67.31l34.35 34.34a8 8 0 0 1-11.32 11.32l-48-48a8 8 0 0 1 0-11.32l48-48a8 8 0 0 1 11.32 11.32L67.31 168H184V32a8 8 0 0 1 16 0Z" />
    </svg>
  )
}

function IconAstanaHub({ className, ...props }: React.ComponentProps<'svg'>) {
  return (
    <svg width="146" height="39" viewBox="0 0 146 39" fill="none" xmlns="http://www.w3.org/2000/svg">
<path d="M57.846 14.8973H59.8228V24.0201H57.846V22.7063C57.0951 23.7465 56.0334 24.2573 54.6424 24.2573C53.3792 24.2573 52.3173 23.8012 51.4203 22.8706C50.5232 21.9401 50.084 20.7907 50.084 19.4589C50.084 18.1085 50.5232 16.9774 51.4203 16.0468C52.3173 15.1162 53.3792 14.6602 54.6424 14.6602C56.0334 14.6602 57.0951 15.171 57.846 16.1929V14.8973V14.8973ZM54.9536 22.3781C55.7773 22.3781 56.4726 22.1045 57.0222 21.5569C57.5714 20.9913 57.846 20.2981 57.846 19.4589C57.846 18.6194 57.5714 17.9262 57.0222 17.3788C56.4726 16.8132 55.7773 16.5395 54.9536 16.5395C54.1294 16.5395 53.4339 16.8132 52.8847 17.3788C52.3356 17.9262 52.061 18.6194 52.061 19.4589C52.061 20.2981 52.3356 20.9913 52.8847 21.5569C53.4339 22.1045 54.1294 22.3781 54.9536 22.3781V22.3781Z" fill="#231F20"></path>
<path d="M65.4619 18.6013C66.8715 18.9115 68.7021 19.4954 68.6655 21.4476C68.6655 22.3233 68.3176 23.0165 67.6404 23.5093C66.9632 24.0018 66.121 24.2573 65.0959 24.2573C63.2833 24.2573 61.9471 23.4545 61.3613 22.1224L63.064 21.1373C63.3752 22.0132 64.0524 22.4509 65.0959 22.4509C66.1391 22.4509 66.652 22.1045 66.652 21.4293C66.652 20.8454 65.8831 20.4987 64.9127 20.2616C63.5398 19.9148 61.6907 19.3676 61.7273 17.4516C61.7273 16.6124 62.0385 15.9375 62.6795 15.4264C63.32 14.9156 64.1256 14.6602 65.0774 14.6602C66.5969 14.6602 67.8236 15.3719 68.4642 16.5578L66.7982 17.4882C66.4869 16.795 65.9012 16.4483 65.0774 16.4483C64.327 16.4483 63.7412 16.7768 63.7412 17.4154C63.7412 18.0175 64.5101 18.3277 65.4619 18.6013V18.6013Z" fill="#231F20"></path>
<path d="M75.4302 16.7937H73.1603V21.1726C73.1603 22.3404 73.9293 22.3221 75.4302 22.2491V24.0189C72.4099 24.3839 71.1835 23.5629 71.1835 21.1726V16.7937H69.499V14.8961H71.1835V12.9257L73.1603 12.3418V14.8961H75.4302V16.7937Z" fill="#231F20"></path>
<path d="M84.0598 14.8973H86.0371V24.0201H84.0598V22.7063C83.3094 23.7465 82.2477 24.2573 80.8563 24.2573C79.5933 24.2573 78.5316 23.8012 77.6346 22.8706C76.7376 21.9401 76.2979 20.7907 76.2979 19.4589C76.2979 18.1085 76.7376 16.9774 77.6346 16.0468C78.5316 15.1162 79.5933 14.6602 80.8563 14.6602C82.2477 14.6602 83.3094 15.171 84.0598 16.1929V14.8973V14.8973ZM81.1675 22.3781C81.9912 22.3781 82.687 22.1045 83.2361 21.5569C83.7852 20.9913 84.0598 20.2981 84.0598 19.4589C84.0598 18.6194 83.7852 17.9262 83.2361 17.3788C82.687 16.8132 81.9912 16.5395 81.1675 16.5395C80.3437 16.5395 79.648 16.8132 79.0988 17.3788C78.5497 17.9262 78.2751 18.6194 78.2751 19.4589C78.2751 20.2981 78.5497 20.9913 79.0988 21.5569C79.648 22.1045 80.3437 22.3781 81.1675 22.3781Z" fill="#231F20"></path>
<path d="M96.5402 18.4188V24.0201H94.5629V18.6194C94.5629 17.251 93.7758 16.5031 92.5129 16.5031C91.1214 16.5031 90.1877 17.3606 90.1877 19.1304V24.0201H88.2109V14.8973H90.1877V16.065C90.7921 15.1345 91.7257 14.6602 93.0253 14.6602C95.1306 14.6602 96.5402 16.0833 96.5402 18.4188V18.4188Z" fill="#231F20"></path>
<path d="M105.822 14.8973H107.799V24.0201H105.822V22.7063C105.071 23.7465 104.009 24.2573 102.618 24.2573C101.355 24.2573 100.293 23.8012 99.3963 22.8706C98.4993 21.9401 98.0596 20.7907 98.0596 19.4589C98.0596 18.1085 98.4993 16.9774 99.3963 16.0468C100.293 15.1162 101.355 14.6602 102.618 14.6602C104.009 14.6602 105.071 15.171 105.822 16.1929V14.8973V14.8973ZM102.929 22.3781C103.753 22.3781 104.449 22.1045 104.998 21.5569C105.547 20.9913 105.822 20.2981 105.822 19.4589C105.822 18.6194 105.547 17.9262 104.998 17.3788C104.449 16.8132 103.753 16.5395 102.929 16.5395C102.105 16.5395 101.41 16.8132 100.861 17.3788C100.311 17.9262 100.037 18.6194 100.037 19.4589C100.037 20.2981 100.311 20.9913 100.861 21.5569C101.41 22.1045 102.105 22.3781 102.929 22.3781Z" fill="#231F20"></path>
<path d="M123.013 18.4185V24.0198H121.036V18.6191C121.036 17.2508 120.249 16.5028 118.986 16.5028C117.594 16.5028 116.66 17.3603 116.66 19.1302V24.0198H114.684V11.248H116.66V16.0648C117.265 15.1342 118.198 14.6599 119.498 14.6599C121.603 14.6599 123.013 16.083 123.013 18.4185V18.4185Z" fill="#231F20"></path>
<path d="M131.258 14.8965H133.235V24.0193H131.258V22.8516C130.654 23.7821 129.721 24.2564 128.421 24.2564C126.316 24.2564 124.906 22.8334 124.906 20.4979V14.8965H126.883V20.2973C126.883 21.6656 127.671 22.4138 128.934 22.4138C130.325 22.4138 131.258 21.556 131.258 19.7862V14.8965Z" fill="#231F20"></path>
<path d="M143.803 16.0465C144.7 16.9771 145.139 18.1083 145.139 19.4586C145.139 20.7904 144.7 21.9399 143.803 22.8704C142.906 23.801 141.844 24.257 140.581 24.257C139.19 24.257 138.128 23.7462 137.377 22.706V24.0198H135.4V11.248H137.377V16.1926C138.128 15.1707 139.19 14.6599 140.581 14.6599C141.844 14.6599 142.906 15.116 143.803 16.0465V16.0465ZM140.27 22.3778C141.093 22.3778 141.789 22.1042 142.338 21.5566C142.887 20.991 143.162 20.2978 143.162 19.4586C143.162 18.6191 142.887 17.9259 142.338 17.3786C141.789 16.813 141.093 16.5393 140.27 16.5393C139.446 16.5393 138.75 16.813 138.201 17.3786C137.652 17.9259 137.377 18.6191 137.377 19.4586C137.377 20.2978 137.652 20.991 138.201 21.5566C138.75 22.1042 139.446 22.3778 140.27 22.3778V22.3778Z" fill="#231F20"></path>
<path d="M37.5787 24.8259C37.5495 24.9265 37.5197 25.0268 37.4889 25.1268L37.4592 25.2223C37.4214 25.3425 37.3823 25.4621 37.3422 25.5813L37.3148 25.6627C37.2727 25.7857 37.2294 25.9082 37.1849 26.0301L37.1537 26.1152C37.1094 26.2351 37.0638 26.3544 37.0172 26.4732L36.9818 26.5625C36.9346 26.681 36.8864 26.799 36.8368 26.9163L36.7992 27.0044C36.7511 27.1169 36.7019 27.2289 36.6518 27.3402L36.6095 27.4332C36.5595 27.5425 36.5085 27.6513 36.4565 27.7596L36.4097 27.8565C36.358 27.9629 36.3052 28.0687 36.2515 28.1739L36.2007 28.273C36.1459 28.3789 36.09 28.4843 36.0334 28.589L35.9835 28.6809C35.9247 28.7883 35.8648 28.8949 35.8039 29.001L35.749 29.0962C35.6884 29.2005 35.6269 29.3041 35.5645 29.4072L35.5075 29.5003C35.4465 29.5998 35.3846 29.6987 35.3217 29.797L35.2572 29.8972C35.1959 29.9918 35.1338 30.0859 35.0708 30.1795L34.9988 30.2857C34.936 30.3778 34.8723 30.4692 34.8078 30.5601L34.7322 30.6663C34.6672 30.7567 34.6015 30.8465 34.5349 30.9358L34.4583 31.0382C34.3907 31.1277 34.3222 31.2166 34.2531 31.3049L34.1723 31.4075C34.1014 31.4969 34.0296 31.5856 33.9571 31.6738L33.8754 31.7724C33.8071 31.8543 33.738 31.9356 33.6684 32.0163C33.6355 32.0544 33.6026 32.0924 33.5694 32.1301C33.5023 32.2068 33.4345 32.2829 33.3661 32.3586L33.2542 32.4813C33.1871 32.5543 33.1193 32.6267 33.0511 32.6987C33.0125 32.7394 32.9737 32.78 32.9347 32.8204C32.8658 32.8918 32.7963 32.9628 32.7263 33.0331C32.6882 33.0714 32.65 33.1094 32.6116 33.1474C32.5379 33.2203 32.4636 33.2926 32.3887 33.3643L32.2903 33.4581C32.2096 33.5342 32.1282 33.6096 32.0463 33.6844C32.007 33.7203 31.9672 33.756 31.9276 33.7915C31.8543 33.8573 31.7805 33.9227 31.7061 33.9874C31.666 34.0224 31.6256 34.0572 31.5851 34.0918C31.5104 34.1557 31.4352 34.2192 31.3595 34.2819C31.3183 34.3161 31.2769 34.3504 31.2355 34.3842C31.1572 34.4481 31.0785 34.5111 30.9992 34.5738C30.9606 34.6044 30.9219 34.635 30.8829 34.6653C30.8018 34.7284 30.72 34.7908 30.6378 34.8527C30.5892 34.8892 30.5405 34.9256 30.4916 34.9618C30.4147 35.0186 30.3373 35.0748 30.2595 35.1305C30.2114 35.1649 30.1631 35.1991 30.1147 35.2332C30.0352 35.2891 29.9552 35.3443 29.8747 35.399C29.8247 35.4331 29.7744 35.4668 29.724 35.5004C29.6389 35.5572 29.5534 35.6134 29.4673 35.6688C29.4247 35.6963 29.3818 35.7234 29.3389 35.7506C29.2474 35.8085 29.1555 35.8659 29.063 35.9223C29.0235 35.9465 28.9836 35.9703 28.9439 35.9941C28.8526 36.0489 28.7609 36.103 28.6686 36.1563L28.5485 36.225C28.4543 36.2786 28.3596 36.3314 28.2644 36.3834L28.1492 36.4458C28.0504 36.4988 27.9511 36.551 27.8514 36.6024L27.7443 36.6573C27.6383 36.7111 27.5318 36.7638 27.4248 36.8156L27.3371 36.8581C27.224 36.9122 27.1101 36.965 26.9957 37.017L26.9029 37.059C26.784 37.1123 26.6644 37.1644 26.5442 37.2154L26.4669 37.2479C26.3448 37.299 26.222 37.3491 26.0987 37.3978L26.0239 37.4269C25.9032 37.474 25.7819 37.52 25.6601 37.5647L25.5842 37.5922C25.4622 37.6364 25.3396 37.6794 25.2165 37.7213L25.1422 37.7462C25.0178 37.7879 24.8926 37.8284 24.7671 37.8676L24.6946 37.8901C24.568 37.9291 24.4407 37.9668 24.313 38.0033L24.2425 38.0234C24.1113 38.0603 23.9795 38.0959 23.8472 38.1301L23.7876 38.1456C23.6464 38.1816 23.5047 38.216 23.3624 38.2489L23.3348 38.2554C23.1827 38.2903 23.03 38.3236 22.8765 38.3549L22.862 38.3578C22.7119 38.3883 22.5612 38.4171 22.4099 38.4441L22.3725 38.4506C22.2276 38.4762 22.0821 38.5002 21.9362 38.5227L21.8896 38.5296C21.7462 38.5513 21.6024 38.5714 21.458 38.5898L21.4071 38.5962C21.2631 38.6143 21.1187 38.6307 20.9739 38.6456L20.924 38.6506C20.7772 38.6653 20.6299 38.6782 20.4821 38.6897L20.4392 38.693C20.2877 38.7044 20.1356 38.7139 19.9831 38.7218L19.9526 38.7234C19.7943 38.7314 19.6354 38.7373 19.4762 38.7415L19.4632 38.7419C19.2983 38.7461 19.133 38.7481 18.9671 38.7481C18.8013 38.7481 18.636 38.7461 18.4711 38.7419L18.4579 38.7415C18.2987 38.7374 18.1401 38.7313 17.9819 38.7234L17.9508 38.7218C17.7985 38.714 17.6467 38.7044 17.4952 38.693L17.452 38.6897C17.3043 38.6783 17.1572 38.6652 17.0105 38.6506L16.9601 38.6455C16.8153 38.6307 16.671 38.6142 16.5272 38.5962L16.4763 38.5898C16.3319 38.5713 16.1881 38.5513 16.0447 38.5296L15.9981 38.5227C15.8526 38.5004 15.7077 38.4764 15.5633 38.4509L15.5237 38.444C15.3733 38.4171 15.2234 38.3885 15.0742 38.3581L15.057 38.3547C14.9041 38.3234 14.7519 38.2904 14.6004 38.2556L14.5702 38.2485C14.4284 38.2158 14.2873 38.1814 14.1467 38.1456L14.087 38.1301C13.9547 38.0959 13.8229 38.0603 13.6918 38.0234L13.6212 38.0033C13.4939 37.967 13.3671 37.9294 13.2408 37.8905L13.1667 37.8674C13.0419 37.8284 12.9176 37.7883 12.7939 37.7469L12.7162 37.7207C12.5939 37.6792 12.4724 37.6364 12.3513 37.5926L12.274 37.5646C12.1532 37.5203 12.0329 37.4746 11.9132 37.428L11.834 37.3971C11.7124 37.3491 11.5914 37.2997 11.471 37.2493L11.3857 37.2135C11.2672 37.1632 11.1493 37.1118 11.0319 37.0592L10.9372 37.0164C10.8239 36.9649 10.7112 36.9125 10.599 36.8589L10.5063 36.8139C10.4004 36.7626 10.295 36.7107 10.1902 36.6575C10.1537 36.639 10.1174 36.6201 10.081 36.6014C9.98206 36.5503 9.88341 36.4986 9.78548 36.446L9.66791 36.3822C9.57336 36.3305 9.47938 36.2781 9.38583 36.225L9.26568 36.1563C9.17342 36.103 9.08167 36.0489 8.99043 35.9941L8.87128 35.9223C8.77924 35.8662 8.68785 35.8092 8.59689 35.7516C8.55123 35.7227 8.50572 35.6938 8.46034 35.6645C8.3765 35.6105 8.29317 35.5557 8.21026 35.5004C8.15913 35.4664 8.1083 35.4321 8.05753 35.3976C7.97851 35.3438 7.89977 35.2896 7.82161 35.2346C7.7725 35.2001 7.72361 35.1654 7.67478 35.1305C7.59698 35.0748 7.51961 35.0185 7.44268 34.9618C7.39285 34.925 7.34337 34.888 7.29398 34.8508C7.21351 34.7901 7.13334 34.7291 7.05389 34.6672C7.01376 34.636 6.97378 34.6044 6.93395 34.5729C6.85507 34.5106 6.77669 34.4477 6.69882 34.3842C6.65733 34.3503 6.61599 34.3161 6.57479 34.2819C6.49907 34.2192 6.42386 34.1557 6.34915 34.0918C6.30867 34.0572 6.26833 34.0224 6.22813 33.9874C6.15378 33.9227 6.08001 33.8574 6.00667 33.7915C5.96705 33.756 5.92736 33.7203 5.88795 33.6844C5.80598 33.6096 5.72466 33.5342 5.64398 33.4581L5.54554 33.3643C5.47119 33.2932 5.39749 33.2213 5.32429 33.149C5.28539 33.1105 5.24663 33.072 5.20802 33.0331C5.13798 32.9628 5.06852 32.8918 4.99957 32.8204C4.9606 32.78 4.92177 32.7394 4.88315 32.6987C4.81492 32.6267 4.74725 32.5543 4.6801 32.4813L4.56814 32.3586C4.50069 32.2839 4.43375 32.2088 4.36745 32.1331L4.26456 32.0148C4.19553 31.9347 4.12715 31.8542 4.05948 31.773L3.97449 31.6705C3.90295 31.5835 3.83219 31.4959 3.76216 31.4077C3.73412 31.3724 3.70629 31.3369 3.67853 31.3015C3.61252 31.2171 3.54716 31.1322 3.48252 31.0467C3.45354 31.0084 3.42478 30.9699 3.39609 30.9315C3.33202 30.8454 3.26868 30.7587 3.20598 30.6716L3.12264 30.5547C3.06094 30.4676 2.9999 30.3799 2.93964 30.2917L2.85918 30.1729C2.79892 30.0833 2.73939 29.9931 2.68057 29.9025L2.60845 29.7904C2.54805 29.6958 2.48851 29.6007 2.42976 29.5051L2.36742 29.4032C2.30666 29.303 2.24698 29.2021 2.18802 29.1007L2.12784 28.9965C2.06866 28.8933 2.01041 28.7894 1.95311 28.6849L1.89817 28.5839C1.84381 28.4833 1.79024 28.3822 1.73761 28.2806L1.67987 28.168C1.6281 28.0664 1.57719 27.9643 1.52714 27.8617L1.47444 27.7526C1.42468 27.6488 1.37586 27.5446 1.32789 27.4398L1.27936 27.333C1.23061 27.2247 1.18286 27.1159 1.13605 27.0066L1.09579 26.9121C1.04689 26.7961 0.999146 26.6795 0.95248 26.5625L0.917103 26.4732C0.870508 26.3547 0.825065 26.2356 0.780772 26.1159L0.747983 26.0262C0.704049 25.9055 0.661122 25.7844 0.619489 25.6627L0.592093 25.5813C0.55197 25.4621 0.512998 25.3425 0.475104 25.2223L0.445408 25.1268C0.414489 25.0269 0.384792 24.9264 0.355527 24.8259C0.130321 23.9768 0.570019 23.0792 1.39376 22.7548C5.58559 21.1043 11.9018 20.0537 18.9671 20.0537C26.0326 20.0537 32.3487 21.1043 36.5405 22.7548C37.3643 23.0792 37.804 23.9768 37.5787 24.8259V24.8259ZM0.355455 14.0438C0.385008 13.9424 0.414848 13.841 0.446055 13.7402L0.474242 13.6498C0.512639 13.5279 0.552114 13.4066 0.592812 13.2858L0.618914 13.2083C0.661122 13.0847 0.704696 12.9617 0.749349 12.8392L0.779549 12.7567C0.82449 12.6352 0.870653 12.5143 0.917894 12.394L0.951545 12.3091C0.998931 12.1901 1.04747 12.0715 1.09722 11.9537L1.13397 11.8675C1.18207 11.7552 1.23104 11.6433 1.28116 11.5321L1.32646 11.4325C1.37485 11.3268 1.42418 11.2215 1.47444 11.1167L1.52657 11.0088C1.57719 10.9048 1.62882 10.8013 1.68131 10.6983L1.73524 10.5932C1.78902 10.4894 1.84367 10.3861 1.89925 10.2834L1.95303 10.1845C2.01034 10.08 2.06859 9.97612 2.12784 9.87278L2.18802 9.76857C2.24741 9.6663 2.30767 9.56461 2.36886 9.46363L2.42789 9.3671C2.48743 9.2702 2.54783 9.17374 2.60902 9.07792L2.68057 8.96684C2.73974 8.87554 2.79964 8.78481 2.86033 8.69465L2.93964 8.57762C3.0004 8.48875 3.06195 8.40031 3.12415 8.31245L3.2049 8.19922C3.26817 8.11128 3.33202 8.02385 3.39674 7.93699L3.47806 7.82841C3.54479 7.74005 3.61238 7.65226 3.68062 7.56511L3.76201 7.46177C3.83277 7.37254 3.90431 7.28403 3.97672 7.1961L4.05905 7.09684C4.1283 7.01385 4.19819 6.93143 4.2688 6.84959L4.36422 6.7398C4.4331 6.66118 4.50256 6.58313 4.57267 6.50566L4.67614 6.39221C4.74582 6.31632 4.81621 6.24107 4.88711 6.16632L4.99547 6.05309C5.06601 5.97999 5.13698 5.90746 5.2086 5.83551C5.24699 5.79695 5.2856 5.75854 5.32429 5.72027C5.39749 5.64796 5.47119 5.57607 5.54554 5.50491L5.64398 5.41117C5.72458 5.33506 5.80598 5.25967 5.88795 5.18485C5.92728 5.14894 5.96697 5.11332 6.00667 5.0777C6.08008 5.01191 6.15378 4.94655 6.22813 4.88184C6.26811 4.84708 6.30823 4.81239 6.3485 4.77792C6.4245 4.71292 6.50101 4.64849 6.57795 4.58464C6.61721 4.5521 6.65647 4.51964 6.69602 4.48739C6.77504 4.42281 6.85471 4.35903 6.93481 4.29568C6.97429 4.2645 7.01369 4.23326 7.05338 4.20237C7.13449 4.1393 7.21625 4.07709 7.29836 4.01525C7.34345 3.98135 7.3886 3.94738 7.43398 3.91384C7.51422 3.8545 7.59497 3.79595 7.67615 3.73782C7.72447 3.70321 7.77293 3.66881 7.82161 3.63462C7.89977 3.57973 7.97851 3.5254 8.05753 3.47165C8.1083 3.43711 8.15913 3.40285 8.21026 3.36881C8.29324 3.31356 8.3765 3.25873 8.46034 3.2047C8.50572 3.17546 8.55123 3.1465 8.59689 3.11762C8.68785 3.06007 8.77924 3.00303 8.87128 2.94691C8.91054 2.92297 8.95009 2.89932 8.98949 2.87567C9.08232 2.81999 9.17558 2.76502 9.26934 2.71084L9.38173 2.64648C9.47693 2.59245 9.57257 2.53913 9.6687 2.4866L9.78548 2.42324C9.88341 2.37064 9.98199 2.3189 10.081 2.26787C10.1174 2.24909 10.1537 2.23024 10.1902 2.21175C10.295 2.15858 10.4004 2.10662 10.5063 2.05531L10.599 2.0103C10.7111 1.95662 10.8239 1.9043 10.9372 1.85285L11.0319 1.80999C11.1493 1.75746 11.2672 1.70607 11.3857 1.65576L11.471 1.61993C11.5914 1.56955 11.7124 1.5201 11.834 1.47208L11.9132 1.44127C12.0329 1.39461 12.1532 1.34896 12.274 1.3046L12.3513 1.27665C12.4723 1.23279 12.5939 1.19 12.7162 1.14851L12.7939 1.12235C12.9176 1.081 13.0419 1.04079 13.1667 1.00181L13.2408 0.978729C13.3671 0.939885 13.4939 0.902332 13.6212 0.865925L13.6918 0.845787C13.8229 0.808807 13.9547 0.773332 14.087 0.739147L14.1467 0.723667C14.2872 0.687762 14.4284 0.653434 14.5702 0.620682L14.6004 0.613587C14.7519 0.578757 14.9041 0.54579 15.057 0.514544L15.0742 0.511104C15.2234 0.480717 15.3733 0.452194 15.5237 0.425247L15.5633 0.418367C15.7077 0.392854 15.8527 0.368917 15.9981 0.346557L16.0447 0.339605C16.1881 0.317962 16.3319 0.297895 16.4763 0.279405L16.5272 0.273027C16.671 0.255039 16.8153 0.238627 16.9601 0.22372L17.0105 0.218632C17.1572 0.204012 17.3043 0.190969 17.452 0.179574L17.4952 0.176205C17.6467 0.164882 17.7985 0.15535 17.9508 0.147467L17.9819 0.145819C18.1401 0.137936 18.2987 0.131844 18.4579 0.127759L18.4711 0.127329C18.6359 0.123244 18.8013 0.121094 18.9671 0.121094C19.133 0.121094 19.2983 0.1231 19.4632 0.127329L19.4762 0.127759C19.6354 0.131844 19.7942 0.137864 19.9526 0.145819L19.9831 0.147467C20.1356 0.15535 20.2876 0.164882 20.4392 0.176205L20.4821 0.179574C20.6299 0.190969 20.7772 0.203941 20.924 0.218632L20.9739 0.223649C21.1187 0.238484 21.2631 0.254967 21.4071 0.273027L21.458 0.279405C21.6023 0.297824 21.7462 0.317962 21.8896 0.339605L21.9362 0.346557C22.0821 0.368989 22.2276 0.393069 22.3725 0.418654L22.4099 0.425104C22.5612 0.452122 22.7119 0.480932 22.862 0.511462L22.8765 0.514329C23.03 0.545647 23.1827 0.578829 23.3348 0.613802L23.3624 0.620324C23.5048 0.653219 23.6464 0.687691 23.7876 0.723667L23.8472 0.739147C23.9795 0.773332 24.1113 0.808879 24.2425 0.845787L24.313 0.865925C24.4407 0.902475 24.568 0.9401 24.6946 0.979087L24.7671 1.00159C24.8926 1.04079 25.0178 1.08128 25.1422 1.12299L25.2165 1.14793C25.3396 1.18979 25.4622 1.23286 25.5842 1.27708L25.6601 1.30453C25.782 1.34917 25.9032 1.39526 26.0239 1.44234L26.0987 1.47144C26.2221 1.5201 26.3448 1.57019 26.4669 1.62136L26.5442 1.65383C26.6644 1.70478 26.784 1.75689 26.9029 1.81021L26.9957 1.85227C27.1101 1.90423 27.224 1.95705 27.3371 2.01116L27.4248 2.05366C27.5318 2.10554 27.6383 2.15815 27.7443 2.2119L27.8514 2.26687C27.9511 2.31825 28.0504 2.37042 28.1492 2.42346L28.2636 2.48552C28.3604 2.53841 28.4568 2.59202 28.5525 2.64648L28.6649 2.71084C28.7587 2.76502 28.852 2.81999 28.9448 2.87567C28.9842 2.89932 29.0237 2.92297 29.063 2.94691C29.1555 3.00338 29.2474 3.06072 29.3389 3.11862C29.3818 3.14579 29.4247 3.17295 29.4673 3.2004C29.5534 3.25587 29.6389 3.31205 29.724 3.36881C29.7744 3.40242 29.8247 3.43618 29.8747 3.47022C29.9551 3.5249 30.0352 3.58023 30.1147 3.63606C30.1626 3.66974 30.2105 3.70371 30.2581 3.73782C30.3393 3.79595 30.4201 3.8545 30.5003 3.91384C30.5448 3.94673 30.5892 3.97999 30.6335 4.01331C30.7172 4.07638 30.8006 4.13987 30.8833 4.20423C30.9219 4.23426 30.9601 4.2645 30.9984 4.29482C31.0788 4.35846 31.1589 4.42253 31.2383 4.48739L31.3563 4.58464C31.4333 4.64849 31.5098 4.71292 31.5858 4.77792C31.626 4.81239 31.6662 4.84708 31.7061 4.88184C31.7804 4.94663 31.8543 5.01191 31.9276 5.0777C31.9673 5.11325 32.0069 5.14894 32.0463 5.18485C32.1283 5.25959 32.2097 5.33499 32.2903 5.41117L32.3887 5.50491C32.4636 5.57665 32.5379 5.64896 32.6116 5.72184C32.6498 5.75961 32.6879 5.79745 32.7257 5.83551C32.7973 5.90746 32.8683 5.97999 32.9388 6.05309C32.975 6.09071 33.0112 6.12841 33.0472 6.16632C33.1181 6.24107 33.1885 6.31632 33.2581 6.39221L33.3616 6.50566C33.4326 6.58407 33.5028 6.66304 33.5725 6.74259L33.6643 6.84816C33.7355 6.93065 33.8061 7.01378 33.8759 7.09756L33.955 7.19287C34.0282 7.28195 34.1007 7.37175 34.1725 7.46205L34.2511 7.56181C34.3225 7.65297 34.3933 7.74478 34.463 7.8373L34.5342 7.93247C34.6013 8.02249 34.6676 8.11307 34.7331 8.2043L34.8065 8.30715C34.8714 8.39881 34.9355 8.4909 34.9988 8.58364L35.0697 8.68827C35.133 8.7823 35.1955 8.87697 35.2572 8.97214L35.3212 9.07147C35.3848 9.17102 35.4476 9.27114 35.5094 9.3719L35.563 9.45969C35.626 9.56354 35.6879 9.66803 35.749 9.77309L35.8039 9.86833C35.8648 9.97447 35.9247 10.0811 35.9835 10.1885L36.0323 10.2783C36.0902 10.3853 36.1473 10.4929 36.2032 10.6011L36.25 10.6924C36.3044 10.799 36.3578 10.9062 36.4102 11.0139L36.4565 11.1097C36.509 11.219 36.5604 11.3288 36.6109 11.4392L36.6498 11.5247C36.7014 11.6391 36.7519 11.7542 36.8013 11.8698L36.8354 11.9497C36.8857 12.0689 36.9347 12.1887 36.9827 12.3091L37.0164 12.394C37.0638 12.5146 37.11 12.6357 37.155 12.7575L37.1836 12.8355C37.2287 12.9592 37.2727 13.0834 37.3154 13.2083L37.3415 13.2858C37.3821 13.4066 37.4217 13.5279 37.46 13.6498L37.4882 13.7402C37.5194 13.841 37.5493 13.9424 37.5788 14.0438C37.8037 14.8928 37.3641 15.7902 36.5405 16.1144C32.3487 17.7649 26.0326 18.8156 18.9671 18.8156C11.9018 18.8156 5.58559 17.7649 1.39376 16.1144C0.570163 15.7902 0.130609 14.8928 0.355455 14.0438V14.0438Z" fill="#E7E8E9"></path>
<path d="M35.2155 22.2761C33.8647 30.001 27.1044 35.8741 18.9671 35.8741C10.8299 35.8741 4.06955 30.001 2.71875 22.2761C6.86104 20.9036 12.6108 20.0532 18.9671 20.0532C25.3236 20.0532 31.0732 20.9036 35.2155 22.2761V22.2761ZM2.71882 16.5921C4.06962 8.86715 10.8299 2.99414 18.9671 2.99414C27.1044 2.99414 33.8647 8.86715 35.2155 16.5921C31.0732 17.9646 25.3236 18.8151 18.9671 18.8151C12.6108 18.8151 6.86111 17.9646 2.71882 16.5921Z" fill="#B9BBBD"></path>
<path d="M32.4236 21.4882C31.4302 28.0057 25.7839 33.0002 18.9671 33.0002C12.1505 33.0002 6.50418 28.0057 5.51074 21.4882C9.28545 20.5856 13.9363 20.0527 18.9671 20.0527C23.9981 20.0527 28.6488 20.5856 32.4236 21.4882V21.4882ZM5.51081 17.3791C6.50425 10.8615 12.1505 5.86719 18.9671 5.86719C25.7839 5.86719 31.4301 10.8615 32.4235 17.3791C28.6488 18.2818 23.9981 18.8146 18.9671 18.8146C13.9363 18.8146 9.28553 18.2818 5.51081 17.3791V17.3791Z" fill="#8E9092"></path>
<path d="M29.5934 20.9114C28.8719 26.1181 24.3897 30.1281 18.9671 30.1281C13.5446 30.1281 9.06238 26.1181 8.34082 20.9114C11.5153 20.364 15.1307 20.0542 18.9671 20.0542C22.8036 20.0542 26.4189 20.364 29.5934 20.9114ZM8.34082 17.9589C9.06238 12.7521 13.5446 8.74219 18.9671 8.74219C24.3897 8.74219 28.8719 12.7521 29.5934 17.9589C26.4189 18.5063 22.8036 18.8161 18.9671 18.8161C15.1307 18.8161 11.5153 18.5063 8.34082 17.9589Z" fill="#656668"></path>
<path d="M26.7402 20.4982C26.2196 24.3136 22.9383 27.2542 18.9672 27.2542C14.9963 27.2542 11.715 24.3136 11.1943 20.4982C13.6208 20.2107 16.238 20.0538 18.9672 20.0538C21.6965 20.0538 24.3138 20.2107 26.7402 20.4982ZM11.1943 18.3712C11.715 14.5557 14.9964 11.6152 18.9672 11.6152C22.9382 11.6152 26.2196 14.5557 26.7402 18.3712C24.3138 18.6587 21.6965 18.8157 18.9672 18.8157C16.238 18.8157 13.6208 18.6587 11.1943 18.3712Z" fill="#231F20"></path>
</svg>
  )
}

function IconSpinner({ className, ...props }: React.ComponentProps<'svg'>) {
  return (
    <svg
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 256 256"
      fill="currentColor"
      className={cn('h-4 w-4 animate-spin', className)}
      {...props}
    >
      <path d="M232 128a104 104 0 0 1-208 0c0-41 23.81-78.36 60.66-95.27a8 8 0 0 1 6.68 14.54C60.15 61.59 40 93.27 40 128a88 88 0 0 0 176 0c0-34.73-20.15-66.41-51.34-80.73a8 8 0 0 1 6.68-14.54C208.19 49.64 232 87 232 128Z" />
    </svg>
  )
}

function IconMessage({ className, ...props }: React.ComponentProps<'svg'>) {
  return (
    <svg
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 256 256"
      fill="currentColor"
      className={cn('h-4 w-4', className)}
      {...props}
    >
      <path d="M216 48H40a16 16 0 0 0-16 16v160a15.84 15.84 0 0 0 9.25 14.5A16.05 16.05 0 0 0 40 240a15.89 15.89 0 0 0 10.25-3.78.69.69 0 0 0 .13-.11L82.5 208H216a16 16 0 0 0 16-16V64a16 16 0 0 0-16-16ZM40 224Zm176-32H82.5a16 16 0 0 0-10.3 3.75l-.12.11L40 224V64h176Z" />
    </svg>
  )
}

function IconTrash({ className, ...props }: React.ComponentProps<'svg'>) {
  return (
    <svg
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 256 256"
      fill="currentColor"
      className={cn('h-4 w-4', className)}
      {...props}
    >
      <path d="M216 48h-40v-8a24 24 0 0 0-24-24h-48a24 24 0 0 0-24 24v8H40a8 8 0 0 0 0 16h8v144a16 16 0 0 0 16 16h128a16 16 0 0 0 16-16V64h8a8 8 0 0 0 0-16ZM96 40a8 8 0 0 1 8-8h48a8 8 0 0 1 8 8v8H96Zm96 168H64V64h128Zm-80-104v64a8 8 0 0 1-16 0v-64a8 8 0 0 1 16 0Zm48 0v64a8 8 0 0 1-16 0v-64a8 8 0 0 1 16 0Z" />
    </svg>
  )
}

function IconRefresh({ className, ...props }: React.ComponentProps<'svg'>) {
  return (
    <svg
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 256 256"
      fill="currentColor"
      className={cn('h-4 w-4', className)}
      {...props}
    >
      <path d="M197.67 186.37a8 8 0 0 1 0 11.29C196.58 198.73 170.82 224 128 224c-37.39 0-64.53-22.4-80-39.85V208a8 8 0 0 1-16 0v-48a8 8 0 0 1 8-8h48a8 8 0 0 1 0 16H55.44C67.76 183.35 93 208 128 208c36 0 58.14-21.46 58.36-21.68a8 8 0 0 1 11.31.05ZM216 40a8 8 0 0 0-8 8v23.85C192.53 54.4 165.39 32 128 32c-42.82 0-68.58 25.27-69.66 26.34a8 8 0 0 0 11.3 11.34C69.86 69.46 92 48 128 48c35 0 60.24 24.65 72.56 40H168a8 8 0 0 0 0 16h48a8 8 0 0 0 8-8V48a8 8 0 0 0-8-8Z" />
    </svg>
  )
}

function IconStop({ className, ...props }: React.ComponentProps<'svg'>) {
  return (
    <svg
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 256 256"
      fill="currentColor"
      className={cn('h-4 w-4', className)}
      {...props}
    >
      <path d="M128 24a104 104 0 1 0 104 104A104.11 104.11 0 0 0 128 24Zm0 192a88 88 0 1 1 88-88 88.1 88.1 0 0 1-88 88Zm24-120h-48a8 8 0 0 0-8 8v48a8 8 0 0 0 8 8h48a8 8 0 0 0 8-8v-48a8 8 0 0 0-8-8Zm-8 48h-32v-32h32Z" />
    </svg>
  )
}

function IconHubChat({ className, ...props }: React.ComponentProps<'svg'>) {
  return (
    // <svg
    //   aria-label="Vercel logomark"
    //   role="img"
    //   viewBox="0 0 74 64"
    //   className={cn('h-4 w-4', className)}
    //   {...props}
    // >
      <img className='w-4 h-4' src="/apple-touch-icon-hub.png" alt="logo-text" />
    // </svg>
  )
}

function IconSidebar({ className, ...props }: React.ComponentProps<'svg'>) {
  return (
    <svg
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 256 256"
      fill="currentColor"
      className={cn('h-4 w-4', className)}
      {...props}
    >
      <path d="M216 40H40a16 16 0 0 0-16 16v144a16 16 0 0 0 16 16h176a16 16 0 0 0 16-16V56a16 16 0 0 0-16-16ZM40 56h40v144H40Zm176 144H96V56h120v144Z" />
    </svg>
  )
}

function IconMoon({ className, ...props }: React.ComponentProps<'svg'>) {
  return (
    <svg
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 256 256"
      fill="currentColor"
      className={cn('h-4 w-4', className)}
      {...props}
    >
      <path d="M233.54 142.23a8 8 0 0 0-8-2 88.08 88.08 0 0 1-109.8-109.8 8 8 0 0 0-10-10 104.84 104.84 0 0 0-52.91 37A104 104 0 0 0 136 224a103.09 103.09 0 0 0 62.52-20.88 104.84 104.84 0 0 0 37-52.91 8 8 0 0 0-1.98-7.98Zm-44.64 48.11A88 88 0 0 1 65.66 67.11a89 89 0 0 1 31.4-26A106 106 0 0 0 96 56a104.11 104.11 0 0 0 104 104 106 106 0 0 0 14.92-1.06 89 89 0 0 1-26.02 31.4Z" />
    </svg>
  )
}

function IconSun({ className, ...props }: React.ComponentProps<'svg'>) {
  return (
    <svg
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 256 256"
      fill="currentColor"
      className={cn('h-4 w-4', className)}
      {...props}
    >
      <path d="M120 40V16a8 8 0 0 1 16 0v24a8 8 0 0 1-16 0Zm72 88a64 64 0 1 1-64-64 64.07 64.07 0 0 1 64 64Zm-16 0a48 48 0 1 0-48 48 48.05 48.05 0 0 0 48-48ZM58.34 69.66a8 8 0 0 0 11.32-11.32l-16-16a8 8 0 0 0-11.32 11.32Zm0 116.68-16 16a8 8 0 0 0 11.32 11.32l16-16a8 8 0 0 0-11.32-11.32ZM192 72a8 8 0 0 0 5.66-2.34l16-16a8 8 0 0 0-11.32-11.32l-16 16A8 8 0 0 0 192 72Zm5.66 114.34a8 8 0 0 0-11.32 11.32l16 16a8 8 0 0 0 11.32-11.32ZM48 128a8 8 0 0 0-8-8H16a8 8 0 0 0 0 16h24a8 8 0 0 0 8-8Zm80 80a8 8 0 0 0-8 8v24a8 8 0 0 0 16 0v-24a8 8 0 0 0-8-8Zm112-88h-24a8 8 0 0 0 0 16h24a8 8 0 0 0 0-16Z" />
    </svg>
  )
}

function IconCopy({ className, ...props }: React.ComponentProps<'svg'>) {
  return (
    <svg
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 256 256"
      fill="currentColor"
      className={cn('h-4 w-4', className)}
      {...props}
    >
      <path d="M216 32H88a8 8 0 0 0-8 8v40H40a8 8 0 0 0-8 8v128a8 8 0 0 0 8 8h128a8 8 0 0 0 8-8v-40h40a8 8 0 0 0 8-8V40a8 8 0 0 0-8-8Zm-56 176H48V96h112Zm48-48h-32V88a8 8 0 0 0-8-8H96V48h112Z" />
    </svg>
  )
}

function IconCheck({ className, ...props }: React.ComponentProps<'svg'>) {
  return (
    <svg
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 256 256"
      fill="currentColor"
      className={cn('h-4 w-4', className)}
      {...props}
    >
      <path d="m229.66 77.66-128 128a8 8 0 0 1-11.32 0l-56-56a8 8 0 0 1 11.32-11.32L96 188.69 218.34 66.34a8 8 0 0 1 11.32 11.32Z" />
    </svg>
  )
}

function IconDownload({ className, ...props }: React.ComponentProps<'svg'>) {
  return (
    <svg
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 256 256"
      fill="currentColor"
      className={cn('h-4 w-4', className)}
      {...props}
    >
      <path d="M224 152v56a16 16 0 0 1-16 16H48a16 16 0 0 1-16-16v-56a8 8 0 0 1 16 0v56h160v-56a8 8 0 0 1 16 0Zm-101.66 5.66a8 8 0 0 0 11.32 0l40-40a8 8 0 0 0-11.32-11.32L136 132.69V40a8 8 0 0 0-16 0v92.69l-26.34-26.35a8 8 0 0 0-11.32 11.32Z" />
    </svg>
  )
}

function IconClose({ className, ...props }: React.ComponentProps<'svg'>) {
  return (
    <svg
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 256 256"
      fill="currentColor"
      className={cn('h-4 w-4', className)}
      {...props}
    >
      <path d="M205.66 194.34a8 8 0 0 1-11.32 11.32L128 139.31l-66.34 66.35a8 8 0 0 1-11.32-11.32L116.69 128 50.34 61.66a8 8 0 0 1 11.32-11.32L128 116.69l66.34-66.35a8 8 0 0 1 11.32 11.32L139.31 128Z" />
    </svg>
  )
}

function IconEdit({ className, ...props }: React.ComponentProps<'svg'>) {
  return (
    <svg
      xmlns="http://www.w3.org/2000/svg"
      fill="none"
      viewBox="0 0 24 24"
      strokeWidth={1.5}
      stroke="currentColor"
      className={cn('h-4 w-4', className)}
      {...props}
    >
      <path
        strokeLinecap="round"
        strokeLinejoin="round"
        d="M16.862 4.487l1.687-1.688a1.875 1.875 0 112.652 2.652L10.582 16.07a4.5 4.5 0 01-1.897 1.13L6 18l.8-2.685a4.5 4.5 0 011.13-1.897l8.932-8.931zm0 0L19.5 7.125M18 14v4.75A2.25 2.25 0 0115.75 21H5.25A2.25 2.25 0 013 18.75V8.25A2.25 2.25 0 015.25 6H10"
      />
    </svg>
  )
}

function IconShare({ className, ...props }: React.ComponentProps<'svg'>) {
  return (
    <svg
      xmlns="http://www.w3.org/2000/svg"
      fill="currentColor"
      className={cn('h-4 w-4', className)}
      viewBox="0 0 256 256"
      {...props}
    >
      <path d="m237.66 106.35-80-80A8 8 0 0 0 144 32v40.35c-25.94 2.22-54.59 14.92-78.16 34.91-28.38 24.08-46.05 55.11-49.76 87.37a12 12 0 0 0 20.68 9.58c11-11.71 50.14-48.74 107.24-52V192a8 8 0 0 0 13.66 5.65l80-80a8 8 0 0 0 0-11.3ZM160 172.69V144a8 8 0 0 0-8-8c-28.08 0-55.43 7.33-81.29 21.8a196.17 196.17 0 0 0-36.57 26.52c5.8-23.84 20.42-46.51 42.05-64.86C99.41 99.77 127.75 88 152 88a8 8 0 0 0 8-8V51.32L220.69 112Z" />
    </svg>
  )
}

function IconUsers({ className, ...props }: React.ComponentProps<'svg'>) {
  return (
    <svg
      xmlns="http://www.w3.org/2000/svg"
      fill="currentColor"
      className={cn('h-4 w-4', className)}
      viewBox="0 0 256 256"
      {...props}
    >
      <path d="M117.25 157.92a60 60 0 1 0-66.5 0 95.83 95.83 0 0 0-47.22 37.71 8 8 0 1 0 13.4 8.74 80 80 0 0 1 134.14 0 8 8 0 0 0 13.4-8.74 95.83 95.83 0 0 0-47.22-37.71ZM40 108a44 44 0 1 1 44 44 44.05 44.05 0 0 1-44-44Zm210.14 98.7a8 8 0 0 1-11.07-2.33A79.83 79.83 0 0 0 172 168a8 8 0 0 1 0-16 44 44 0 1 0-16.34-84.87 8 8 0 1 1-5.94-14.85 60 60 0 0 1 55.53 105.64 95.83 95.83 0 0 1 47.22 37.71 8 8 0 0 1-2.33 11.07Z" />
    </svg>
  )
}

function IconExternalLink({
  className,
  ...props
}: React.ComponentProps<'svg'>) {
  return (
    <svg
      xmlns="http://www.w3.org/2000/svg"
      fill="currentColor"
      className={cn('h-4 w-4', className)}
      viewBox="0 0 256 256"
      {...props}
    >
      <path d="M224 104a8 8 0 0 1-16 0V59.32l-66.33 66.34a8 8 0 0 1-11.32-11.32L196.68 48H152a8 8 0 0 1 0-16h64a8 8 0 0 1 8 8Zm-40 24a8 8 0 0 0-8 8v72H48V80h72a8 8 0 0 0 0-16H48a16 16 0 0 0-16 16v128a16 16 0 0 0 16 16h128a16 16 0 0 0 16-16v-72a8 8 0 0 0-8-8Z" />
    </svg>
  )
}

function IconChevronUpDown({
  className,
  ...props
}: React.ComponentProps<'svg'>) {
  return (
    <svg
      xmlns="http://www.w3.org/2000/svg"
      fill="currentColor"
      className={cn('h-4 w-4', className)}
      viewBox="0 0 256 256"
      {...props}
    >
      <path d="M181.66 170.34a8 8 0 0 1 0 11.32l-48 48a8 8 0 0 1-11.32 0l-48-48a8 8 0 0 1 11.32-11.32L128 212.69l42.34-42.35a8 8 0 0 1 11.32 0Zm-96-84.68L128 43.31l42.34 42.35a8 8 0 0 0 11.32-11.32l-48-48a8 8 0 0 0-11.32 0l-48 48a8 8 0 0 0 11.32 11.32Z" />
    </svg>
  )
}

export {
  IconEdit,
  IconNextChat,
  IconOpenAI,
  IconVercel,
  IconGitHub,
  IconSeparator,
  IconArrowDown,
  IconArrowRight,
  IconUser,
  IconPlus,
  IconArrowElbow,
  IconSpinner,
  IconMessage,
  IconTrash,
  IconRefresh,
  IconStop,
  IconSidebar,
  IconMoon,
  IconSun,
  IconCopy,
  IconCheck,
  IconDownload,
  IconClose,
  IconShare,
  IconUsers,
  IconExternalLink,
  IconChevronUpDown,
  IconMicrophone,
  IconAstanaHub,
  IconHubChat,
}